/**
 * Copyright (c) Haiku 2016-2018. All rights reserved.
 */
declare function isObject(value: any): boolean;
declare function isFunction(value: any): boolean;
declare function isEmpty(value: any): boolean;
declare function mergeIncoming(previous: any, incoming: any): any;
declare function mergeValue(previous: any, incoming: any): any;
declare const _default: {
    isObject: typeof isObject;
    isFunction: typeof isFunction;
    isEmpty: typeof isEmpty;
    mergeIncoming: typeof mergeIncoming;
    mergeValue: typeof mergeValue;
    uniq: (arr: any) => any;
};
export default _default;
